package com.lanyuanxiaoyao.service.configuration.entity.info;

/**
 * Flink job 信息聚合
 *
 * @author ZhangJiacheng
 * @date 2022-05-30
 */
public class SimpleTableMeta {
    private Long flinkJobId;
    private String flinkJobName;
    private String alias;
    private String schema;
    private String table;
    private String targetDb;
    private String targetTable;
    private String targetHdfs;

    public SimpleTableMeta() {
    }

    public SimpleTableMeta(Long flinkJobId, String flinkJobName, String alias, String schema, String table, String targetDb, String targetTable, String targetHdfs) {
        this.flinkJobId = flinkJobId;
        this.flinkJobName = flinkJobName;
        this.alias = alias;
        this.schema = schema;
        this.table = table;
        this.targetDb = targetDb;
        this.targetTable = targetTable;
        this.targetHdfs = targetHdfs;
    }

    public Long getFlinkJobId() {
        return flinkJobId;
    }

    public String getFlinkJobName() {
        return flinkJobName;
    }

    public String getAlias() {
        return alias;
    }

    public String getSchema() {
        return schema;
    }

    public String getTable() {
        return table;
    }

    public String getTargetDb() {
        return targetDb;
    }

    public String getTargetTable() {
        return targetTable;
    }

    public String getTargetHdfs() {
        return targetHdfs;
    }

    @Override
    public String toString() {
        return "SimpleTableMeta{" +
               "flinkJobId=" + flinkJobId +
               ", flinkJobName='" + flinkJobName + '\'' +
               ", alias='" + alias + '\'' +
               ", schema='" + schema + '\'' +
               ", table='" + table + '\'' +
               ", targetDb='" + targetDb + '\'' +
               ", targetTable='" + targetTable + '\'' +
               ", targetHdfs='" + targetHdfs + '\'' +
               '}';
    }
}
